or Connect
AppleInsider › Forums › Software › Mac Software › gfortran compatibility under Lion
New Posts  All Forums:Forum Nav:

gfortran compatibility under Lion

post #1 of 2
Thread Starter 
Hello,

I have gone through http://roaringapps.com/ and checked on all of my apps to make sure they will work with Lion. However, they did not have any information about some compilers, most notably, gfortran. I am a graduate student doing computational work so fortran is still (yes, still) the language of choice. gfortran is more of a UNIX program than OS X but I would love any kind of confirmation if it is exists, that I can still use it.

More than likely, it still works but may need a reinstall as reported for TexLive. Can anyone confirm the exact status?

Many Thanks!
-Justin Winokur

15" Core i7 MacBook Pro, (circa July 2010)
Reply
-Justin Winokur

15" Core i7 MacBook Pro, (circa July 2010)
Reply
post #2 of 2
Thread Starter 
Okay, I took the plunge and did it anyway not knowing. It turns out that it leaves gfortran alone but messes with other GNU compilers. For whatever reason, gfortran needs one of them (I think gcc). So I had to download and install Xcode4 (free with Lion) and that fixed everything
-Justin Winokur

15" Core i7 MacBook Pro, (circa July 2010)
Reply
-Justin Winokur

15" Core i7 MacBook Pro, (circa July 2010)
Reply
New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Mac Software
AppleInsider › Forums › Software › Mac Software › gfortran compatibility under Lion